Skip to main content
POST
/
youtube_comments
Create a new YouTube comment
curl --request POST \
  --url https://community.dashsocial.com/youtube_comments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "brand_id": 123,
  "parent_comment_id": "<string>",
  "text": "<string>"
}
'
{
  "author_user_id": "<string>",
  "is_owned": true,
  "text": "<string>",
  "youtube_parent_comment_id": "<string>",
  "assignee_id": 123,
  "author_profile_picture_url": null,
  "author_username": null,
  "brand_id": 123,
  "brand_user_reply": {
    "brand_id": 123,
    "created_at": "2023-11-07T05:31:56Z",
    "id": 123,
    "resource_id": 123,
    "updated_at": "2023-11-07T05:31:56Z",
    "user_id": 123
  },
  "created_at": "2023-11-07T05:31:56Z",
  "deleted_at": "2023-11-07T05:31:56Z",
  "id": 123,
  "is_archived": true,
  "is_author_blocked": true,
  "is_follow_up": true,
  "is_read": true,
  "media_id": 123,
  "post_media": {
    "comment_count": 123,
    "image_sizes": {
      "default": "<string>"
    },
    "media_comment_sentiment": {
      "negative_count": 123,
      "neutral_count": 123,
      "positive_count": 123
    },
    "media_type": "<string>",
    "source_created_at": "2023-11-07T05:31:56Z",
    "caption": "<string>",
    "likes": 123,
    "user_avatar": "<string>",
    "user_handle": "<string>"
  },
  "post_thumbnail_url": "<string>",
  "search_result_snippet": "<string>",
  "sentiment": {
    "is_negative": true,
    "is_neutral": true,
    "is_positive": true,
    "is_question": true
  },
  "source_updated_at": "2023-11-07T05:31:56Z",
  "tag_ids": [
    123
  ],
  "tickets": [
    {
      "label": "<string>",
      "source_created_at": "<string>",
      "source_id": "<string>",
      "source_updated_at": "<string>",
      "status": "<string>",
      "message_id": 123
    }
  ],
  "updated_at": "2023-11-07T05:31:56Z",
  "youtube_comment_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
brand_id
integer
required

The brand ID of the comment.

parent_comment_id
string
required

The platform comment ID of the parent comment.

text
string
required

The comment body.

Response

Created

author_user_id
string
required
read-only

The YouTube channel ID of the video author.

is_owned
boolean
required

Whether the brand posted this comment.

text
string
required

The comment body.

youtube_parent_comment_id
string
required

The parent comment ID provided by YouTube.

assignee_id
integer
read-only

The ID of the user to whom the interaction is assigned.

author_profile_picture_url
string | null
read-only

The profile picture URL of the author.

author_username
string | null
read-only

The handle of the author.

brand_id
integer
read-only

The community interaction's brand ID.

brand_user_reply
object

Brand user that created the reply.

created_at
string<date-time>
read-only

When the community interaction was created.

deleted_at
string<date-time>
read-only

The comment deletion timestamp.

id
integer
read-only

The community interaction's ID.

is_archived
boolean
read-only

Whether the community interaction is marked as archived.

is_author_blocked
boolean
read-only

Whether the user is blocked.

is_follow_up
boolean
read-only

Whether the community interaction is marked as follow-up.

is_read
boolean
read-only

Whether the community interaction is marked as read.

media_id
integer
read-only

The ID of the media the comment was made on.

media_type
enum<string>
read-only

The media type of the video.

Available options:
CAROUSEL_ALBUM,
IMAGE,
REELS,
SHORTS,
VIDEO
post_media
object

Info about the media the comment was made on.

post_thumbnail_url
string
read-only

The image thumbnail url of the original post.

search_result_snippet
string
read-only

Indicates how many messages match the query.

sentiment
object

The comment sentiment.

source_updated_at
string<date-time>
read-only

When the comment was created.

tag_ids
integer[]

List of tag IDs associated with the community interaction.

tickets
object[]
read-only

The tickets created for this community interaction.

type
enum<string>
read-only

The community interaction type.

Available options:
COMMUNITY_INTERACTION,
FACEBOOK_COMMENT,
FACEBOOK_CONVERSATION,
INSTAGRAM_COMMENT,
INSTAGRAM_CONVERSATION,
TIKTOK_COMMENT,
TWITTER_CONVERSATION,
TWITTER_MENTION,
TWITTER_QUOTE,
TWITTER_RETWEET,
YOUTUBE_COMMENT
updated_at
string<date-time>
read-only

When the community interaction was last updated.

youtube_comment_id
string
read-only

The comment ID provided by YouTube.